# glm::gtx::orthonormalize Namespace Reference

GLM_GTX_orthonormalize extension: Orthonormalize matrices. More...

## Functions
template<typename T >
detail::tvec3< T > | orthonormalize (const detail::tvec3< T > &x, const detail::tvec3< T > &y)
| Orthonormalizes x according y.
template<typename T >
detail::tmat3x3< T > | orthonormalize (const detail::tmat3x3< T > &m)
| Returns the orthonormalized matrix of m.

## Detailed Description

GLM_GTX_orthonormalize extension: Orthonormalize matrices.

## Function Documentation

detail::tvec3<T> glm::gtx::orthonormalize::orthonormalize | ( | const detail::tvec3< T > & | x,
|  | const detail::tvec3< T > & | y |
| ) |  |  |

Orthonormalizes x according y.

From GLM_GTX_orthonormalize extension.

detail::tmat3x3<T> glm::gtx::orthonormalize::orthonormalize | ( | const detail::tmat3x3< T > & | m | ) |

Returns the orthonormalized matrix of m.

From GLM_GTX_orthonormalize extension.